org.eclipse.wst.jsdt.chromium.debug.core.model

## Class IPredefinedSourceWrapProvider.Entry

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.IPredefinedSourceWrapProvider.Entry

Enclosing interface:
  IPredefinedSourceWrapProvider

    public abstract static class IPredefinedSourceWrapProvider.Entry
    extends java.lang.Object

Describes source wrapper.

### Constructor Summary

Constructors
Constructor and Description
`Entry(java.lang.String id, SourceWrapSupport.Wrapper wrapper)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `getHumanDescription()`
`java.lang.String` `getId()`
`SourceWrapSupport.Wrapper` `getWrapper()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Entry

    public Entry(java.lang.String id,
                 SourceWrapSupport.Wrapper wrapper)

### Method Detail

#### getId

    public java.lang.String getId()

Returns:
  a unique id of the source wrap entry (fully qualified name is recommended)

#### getWrapper

    public SourceWrapSupport.Wrapper getWrapper()

Returns:
  an instance of source wrapper

#### getHumanDescription

    public abstract java.lang.String getHumanDescription()

Returns:
  a human-readable wrapper description that can be used in UI